package sicura.entities;
// Generated 2-lug-2017 12.21.35 by Hibernate Tools 5.2.3.Final

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * Home object for domain model class CompiledConvalidaTable.
 * @see sicura.entities.CompiledConvalidaTable
 * @author Hibernate Tools
 */
@Stateless
public class CompiledConvalidaTableHome {

	private static final Log log = LogFactory.getLog(CompiledConvalidaTableHome.class);

	@PersistenceContext
	private EntityManager entityManager;

	public void persist(CompiledConvalidaTable transientInstance) {
		log.debug("persisting CompiledConvalidaTable instance");
		try {
			entityManager.persist(transientInstance);
			log.debug("persist successful");
		} catch (RuntimeException re) {
			log.error("persist failed", re);
			throw re;
		}
	}

	public void remove(CompiledConvalidaTable persistentInstance) {
		log.debug("removing CompiledConvalidaTable instance");
		try {
			entityManager.remove(persistentInstance);
			log.debug("remove successful");
		} catch (RuntimeException re) {
			log.error("remove failed", re);
			throw re;
		}
	}

	public CompiledConvalidaTable merge(CompiledConvalidaTable detachedInstance) {
		log.debug("merging CompiledConvalidaTable instance");
		try {
			CompiledConvalidaTable result = entityManager.merge(detachedInstance);
			log.debug("merge successful");
			return result;
		} catch (RuntimeException re) {
			log.error("merge failed", re);
			throw re;
		}
	}

	public CompiledConvalidaTable findById(CompiledConvalidaTableId id) {
		log.debug("getting CompiledConvalidaTable instance with id: " + id);
		try {
			CompiledConvalidaTable instance = entityManager.find(CompiledConvalidaTable.class, id);
			log.debug("get successful");
			return instance;
		} catch (RuntimeException re) {
			log.error("get failed", re);
			throw re;
		}
	}
}
